# Spletni urejevalnik s podporo za preverjanje pravopisa

Spletni urejevalnik je nadgradnja urejevalnika HTML `<div contenteditable="true">`, ki v besedilu urejevalnika preverja in podčrta pravopisne napake. Namenjen je vgradnji v različne spletne strani in storitve, kjer uporabniki vnašajo besedila v naravnem jeziku.

## Sistemske zahteve

- Pravopisni strežnik Amebis Besana na http://localhost:225. V končni verziji bo URL pravopisnega strežnika nastavljiv.
- Sodobni brskalnik s podporo za ECMA v(TODO: Vpiši najstarejšo verzijo, kjer še dela) in HTML(TODO: Vpiši najstarejšo verzijo, kjer še dela)

## Navodila za vgradnjo

V svoji kodi HTML vključimo Spletni urejevalnik tako, da:

### 1. Vključimo JavaScript in CSS Spletnega urejevalnika

Primer:

```html
<head>
    ...
    <link rel="stylesheet" href="styles.css" />
    <script src="online-editor.js"></script>
    <script src="popup.js"></script>
</head>
```

### 2. V kodo HTML vstavimo urejevalnik

Primer:

```html
<!-- Vsi elementi z razredom CSS `bes-online-editor` se registrirajo samodejno. -->
<div class="bes-online-editor" contenteditable="true">Začetno besedilo</div>
```

Kadar vstavljamo urejevalnik v HTML-jev DOM dinamično (npr. z uporabo JavaScript), registriramo urejevalnik tako, da kličemo metodo `BesEditor.register(el)`, kjer `el` predstavlja naš element DOM našega urejevalnika. V tem primeru razred CSS `bes-online-editor` ni potreben.

Primer:

```JavaScript
const el = document.createElement('div')

// Nastavimo, da uporabnik lahko ureja vsebino elementa urejevalnika.
el.contentEditable = "true";

// Element urejevalnika vstavimo v DOM. Element urejevalnika mora biti
// vstavljen v dokument pred klicem `BesEditor.register(el)`, ker
// registracija potrebuje njegovo pozicijo v drevesu DOM.
parent.appendChild(el)

// Registriramo urejevalnik.
BesEditor.register(el)
```

## Navodila za razvijalce

Programsko kodo v tem repozitoriju razvijamo s programom Visual Studio Code. Potrebna je namestitev vtičnika `esbenp.prettier-vscode`.
